Page MenuHomePhabricator

Add tl_target_id column to templatelinks
Closed, ResolvedPublic

Description

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/757614/2/maintenance/archives/patch-templatelinks-target_id.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: any time
  4. If the schema change is backwards compatible: Yes
  5. If the schema change has been tested already on some of the test/beta wikis: Beta cluster
  6. if the data should be made available on the labs replicas and/or dumps: no change of the existing rules

This is rather high prio

Progress:

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6
  • s7
  • s8
  • labtestwiki

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2022-03-22T05:57:08Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1143 (T300775)', diff saved to https://phabricator.wikimedia.org/P22916 and previous config saved to /var/cache/conftool/dbconfig/20220322-055707-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-22T06:42:23Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1143 (T300775)', diff saved to https://phabricator.wikimedia.org/P22922 and previous config saved to /var/cache/conftool/dbconfig/20220322-064222-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-22T06:42:33Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1142 (T300775)', diff saved to https://phabricator.wikimedia.org/P22923 and previous config saved to /var/cache/conftool/dbconfig/20220322-064230-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-22T21:29:40Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1142 (T300775)', diff saved to https://phabricator.wikimedia.org/P22989 and previous config saved to /var/cache/conftool/dbconfig/20220322-212939-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-22T22:14:55Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1142 (T300775)', diff saved to https://phabricator.wikimedia.org/P22992 and previous config saved to /var/cache/conftool/dbconfig/20220322-221455-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-22T22:15:06Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1141 (T300775)', diff saved to https://phabricator.wikimedia.org/P22993 and previous config saved to /var/cache/conftool/dbconfig/20220322-221503-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-23T12:56:25Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1141 (T300775)', diff saved to https://phabricator.wikimedia.org/P23004 and previous config saved to /var/cache/conftool/dbconfig/20220323-125625-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-23T13:41:40Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1141 (T300775)', diff saved to https://phabricator.wikimedia.org/P23009 and previous config saved to /var/cache/conftool/dbconfig/20220323-134140-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-23T13:41:57Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1121 (T300775)', diff saved to https://phabricator.wikimedia.org/P23010 and previous config saved to /var/cache/conftool/dbconfig/20220323-134153-marostegui.json

s4 has finally been done. The master isn't done and I won't risk it with such a long schema change (even though it is an online one), will do it after a master swap.

Mentioned in SAL (#wikimedia-operations) [2022-03-28T10:29:17Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1169 (T300775)', diff saved to https://phabricator.wikimedia.org/P23392 and previous config saved to /var/cache/conftool/dbconfig/20220328-102915-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-28T15:53:41Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1169 (T300775)', diff saved to https://phabricator.wikimedia.org/P23414 and previous config saved to /var/cache/conftool/dbconfig/20220328-155340-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-28T16:38:56Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1169 (T300775)', diff saved to https://phabricator.wikimedia.org/P23421 and previous config saved to /var/cache/conftool/dbconfig/20220328-163855-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-28T16:39:09Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1164 (T300775)', diff saved to https://phabricator.wikimedia.org/P23422 and previous config saved to /var/cache/conftool/dbconfig/20220328-163903-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-28T22:14:49Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1164 (T300775)', diff saved to https://phabricator.wikimedia.org/P23429 and previous config saved to /var/cache/conftool/dbconfig/20220328-221448-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-28T23:00:04Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1164 (T300775)', diff saved to https://phabricator.wikimedia.org/P23433 and previous config saved to /var/cache/conftool/dbconfig/20220328-230004-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-28T23:00:16Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1184 (T300775)', diff saved to https://phabricator.wikimedia.org/P23434 and previous config saved to /var/cache/conftool/dbconfig/20220328-230012-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T04:34:28Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1184 (T300775)', diff saved to https://phabricator.wikimedia.org/P23436 and previous config saved to /var/cache/conftool/dbconfig/20220329-043428-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T05:19:43Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1184 (T300775)', diff saved to https://phabricator.wikimedia.org/P23440 and previous config saved to /var/cache/conftool/dbconfig/20220329-051943-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T05:19:59Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1134 (T300775)', diff saved to https://phabricator.wikimedia.org/P23441 and previous config saved to /var/cache/conftool/dbconfig/20220329-051951-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T11:27:25Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1134 (T300775)', diff saved to https://phabricator.wikimedia.org/P23520 and previous config saved to /var/cache/conftool/dbconfig/20220329-112725-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T12:12:41Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1134 (T300775)', diff saved to https://phabricator.wikimedia.org/P23527 and previous config saved to /var/cache/conftool/dbconfig/20220329-121240-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T12:12:55Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1135 (T300775)', diff saved to https://phabricator.wikimedia.org/P23528 and previous config saved to /var/cache/conftool/dbconfig/20220329-121248-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T18:32:16Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1135 (T300775)', diff saved to https://phabricator.wikimedia.org/P23597 and previous config saved to /var/cache/conftool/dbconfig/20220329-183215-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T19:17:31Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1135 (T300775)', diff saved to https://phabricator.wikimedia.org/P23605 and previous config saved to /var/cache/conftool/dbconfig/20220329-191731-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-29T19:17:45Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1119 (T300775)', diff saved to https://phabricator.wikimedia.org/P23606 and previous config saved to /var/cache/conftool/dbconfig/20220329-191738-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-30T01:25:43Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1119 (T300775)', diff saved to https://phabricator.wikimedia.org/P23659 and previous config saved to /var/cache/conftool/dbconfig/20220330-012542-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-30T02:10:58Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1119 (T300775)', diff saved to https://phabricator.wikimedia.org/P23670 and previous config saved to /var/cache/conftool/dbconfig/20220330-021058-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-30T02:11:18Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1106 (T300775)', diff saved to https://phabricator.wikimedia.org/P23671 and previous config saved to /var/cache/conftool/dbconfig/20220330-021111-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-30T10:06:55Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1106 (T300775)', diff saved to https://phabricator.wikimedia.org/P23776 and previous config saved to /var/cache/conftool/dbconfig/20220330-100654-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-30T10:52:10Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1106 (T300775)', diff saved to https://phabricator.wikimedia.org/P23788 and previous config saved to /var/cache/conftool/dbconfig/20220330-105210-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-03-31T01:41:42Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1105:3311 (T300775)', diff saved to https://phabricator.wikimedia.org/P23947 and previous config saved to /var/cache/conftool/dbconfig/20220331-014140-marostegui.json

Change 777798 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db1163: Disable notifications

https://gerrit.wikimedia.org/r/777798

Change 777798 merged by Marostegui:

[operations/puppet@production] db1163: Disable notifications

https://gerrit.wikimedia.org/r/777798

Mentioned in SAL (#wikimedia-operations) [2022-04-06T12:36:04Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1099:3311 (T300775)', diff saved to https://phabricator.wikimedia.org/P24157 and previous config saved to /var/cache/conftool/dbconfig/20220406-123603-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-04-06T22:15:55Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1099:3311 (T300775)', diff saved to https://phabricator.wikimedia.org/P24181 and previous config saved to /var/cache/conftool/dbconfig/20220406-221555-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-04-06T23:01:10Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1099:3311 (T300775)', diff saved to https://phabricator.wikimedia.org/P24186 and previous config saved to /var/cache/conftool/dbconfig/20220406-230110-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-04-06T23:01:18Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1163 (T300775)', diff saved to https://phabricator.wikimedia.org/P24187 and previous config saved to /var/cache/conftool/dbconfig/20220406-230118-marostegui.json

s1 is done, only pending the master, blocked on: T301312

Mentioned in SAL (#wikimedia-operations) [2022-04-07T06:42:58Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1163 (T300775)', diff saved to https://phabricator.wikimedia.org/P24208 and previous config saved to /var/cache/conftool/dbconfig/20220407-064258-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-04-07T07:28:13Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1163 (T300775)', diff saved to https://phabricator.wikimedia.org/P24211 and previous config saved to /var/cache/conftool/dbconfig/20220407-072813-marostegui.json

Old s4 master (db1138) done, pending only s1 master which is blocked on T301312

Running it on db1118 (old s1 master)

Running it on db1118 (old s1 master)

Done

Marostegui updated the task description. (Show Details)